%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define lib_major 0
%define api_version 1


%define mozilla_firefox_version 1.0.2
%define mozilla_version 1.7.5

%define build_with_firefox 1

# Build with mozilla instead of firefox
%{?_with_mozilla: %global build_with_firefox 0}
%{?_without_mozilla: %global build_with_firefox 1}


Summary:	API documentation browser for developers
Name:		devhelp
Version: 0.9.3
Release:	7mdk
License:	GPL
Group:		Development/Other
URL:		http://www.imendio.com/projects/devhelp/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/devhelp/%{name}-%{version}.tar.bz2
# (fc) 0.9.3-5mdk fix compilation with firefox 
Patch0:		devhelp-0.9.3-mozilla-firefox.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%if %{build_with_firefox}
Requires:	mozilla-firefox = %{mozilla_firefox_version}
%else
Requires:	mozilla = %{mozilla_version}
%endif
BuildRequires:	libgnomeui2-devel
BuildRequires:	gtk+2-devel >= 2.3.1
BuildRequires:	libglade2.0-devel
%if %{build_with_firefox}
BuildRequires:  mozilla-firefox-devel
%else
BuildRequires:	mozilla-devel 
%endif
BuildRequires:	ImageMagick
BuildRequires:  intltool

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{lib_name}
Summary:	Dynamic libraries for devhelp
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
this package contains dynamic libraries for devhelp.


%package -n %{lib_name}-devel
Summary:	Static libraries, include files for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{lib_name}-devel
Static library and headers file for devhelp.

%prep
%setup -q
%patch0 -p1 -b .mozilla-firefox

#needed by patch0
autoconf

%build
%configure2_5x --disable-install-schemas \
%if %{build_with_firefox}
--with-mozilla=mozilla-firefox 
%endif
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# Menu entry 
mkdir -p %{buildroot}/%{_menudir}
cat >%{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/devhelp" icon="devhelp.png" needs="X11" \
section="More Applications/Development/Tools" title="DevHelp" longtitle="Developers Help program"
EOF

#icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir}
install -m 644 -D       ui/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null
fi

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%_sysconfdir/gconf/schemas/devhelp.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/devhelp
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*

%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/devhelp-1.0

%changelog
* Fri Mar 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-7mdk 
- Rebuild with firefox 1.0.2

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk 
- Rebuild with firefox 1.0.1

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk 
- Patch0: allow build with firefox
- Build with firefox

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-3mdk 
- Rebuild with mozilla 1.7.5

* Mon Nov 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Rebuild with mozilla 1.7.3 (Mdk bug #12460)

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- drop patch
- New release 0.9.3

* Mon Sep 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- New release 0.9.2

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Fix menu

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Rebuild with mozilla 1.7.2

* Sun Jul 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- drop patch 1
- fix source URL
- New release 0.9.1

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Rebuild against mozilla 1.7 final

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 0.9-4mdk
- Rebuild with new gcc

* Sun May 30 2004 Abel Cheung <deaddog@deaddog.org> 0.9-3mdk
- [DIRM]
- enable libtoolize

* Fri Apr 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Patch0 : add includes for latest mozilla
- Enforce mozilla dependency, so we notice when mozilla release has changed

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9 (with Gtz help)
- add gconf schemas
- needs new gtk
- requires mozilla instead of gtkhtml

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.7-4mdk
- Fix menu
- Use Imagemagick to convert icons

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- don't libtoolize to fix build of libdevhelp

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- add icons
- fix url and package description

* Tue Jul 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0 (GNOME2)
- Remove patch0 (no longer needed)

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Grr, really remove dependency on old openssl

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Recompiled against latest openssl

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- PreReq GConf (fix bug 677)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Recompiled against latest gal/gtkhtml
- Patch0: add support for gtkhtml 1.1.x

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Apr 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mdk package (not libified, not needed)
